> For the complete documentation index, see [llms.txt](https://docs.prismacloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.prismacloud.io/admin-guide/33/install/deploy-console/console-on-aks.md).

# Deploy the Prisma Cloud Console on AKS

Use the following procedure to install Prisma Cloud in an AKS cluster. This setup uses dynamic PersistentVolumeClaim provisioning using Premium Azure Disk. When creating your Kubernetes cluster, be sure to specify a [VM size](https://docs.microsoft.com/en-us/azure/virtual-machines/windows/premium-storage#supported-vms) that supports premium storage.

Prisma Cloud doesn’t support Azure Files as a storage class for persistent volumes. Use Azure Disks instead.

**Prerequisites**

* You have deployed an [Azure Container Service (AKS) cluster](https://docs.microsoft.com/en-us/azure/aks/tutorial-kubernetes-deploy-cluster). Use the [--node-vm-size](https://docs.microsoft.com/en-us/cli/azure/aks?view=azure-cli-latest#az-aks-create) parameter to specify a VM size that supports Premium Azure Disks.
* You have installed [Azure CLI 2.0.22](https://docs.microsoft.com/en-us/cli/azure/install-azure-cli?view=azure-cli-latest) or later.
* You have [downloaded the Prisma Cloud command-line utility](/admin-guide/33/tools/twistcli-console-install.md).

1. Use `twistcli` to generate the Prisma Cloud Console YAML configuration file, where \<PLATFORM> can be `linux` or `osx`. Set the storage class to Premium Azure Disk.

   ```yaml
     $ <PLATFORM>/twistcli console export kubernetes \
       --storage-class managed-premium \
       --service-type LoadBalancer
   ```
2. Deploy the Prisma Cloud Console in the Azure Kubernetes Service cluster.

   ```bash
     $ kubectl create -f ./twistlock_console.yaml
   ```
3. Wait for the service to come up completely.

   ```bash
     $ kubectl get service -w -n twistlock
   ```
4. Change the `reclaimPolicy` of the `PersistentVolumeClaim`.

   ```bash
     $ kubectl get pv
     $ kubectl patch pv <pvc-name> -p '{"spec":{"persistentVolumeReclaimPolicy":"Retain"}}'
   ```
5. Next, [configure the Prisma Cloud console](/admin-guide/33/install/deploy-console/console-on-kubernetes.md#configure-console-k8s).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.prismacloud.io/admin-guide/33/install/deploy-console/console-on-aks.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
